# Interface methods for submodule: IterativeDeconvolutionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FFTConvolutionImageFilterProxy as _FFTConvolutionImageFilterProxy


# Interface methods for class: IterativeDeconvolutionImageFilter
class IterativeDeconvolutionImageFilterProxy(_FFTConvolutionImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetNumberOfIterations(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfIterations(self) -> int:
		""""""
		...

	def GetModifiableCurrentEstimate(self):
		""""""
		...

	def GetCurrentEstimate(self):
		""""""
		...

	def SetStopIteration(self, stop: bool) -> None:
		""""""
		...

	def GetStopIteration(self) -> bool:
		""""""
		...

	def GetIteration(self) -> int:
		""""""
		...

